# Copyright (c) 2016-2017 Satlab Aps <satlab@satlab.com>
# All rights reserved. Do not distribute without permission.

import os
import ctypes

import propnode
import cspnode

# Load test library
testlib = ctypes.CDLL(os.environ['SL_TESTLIB'])

# const struct prop_subsys_spec srs3_props
_sl_srs3_props = propnode.prop_subsys_spec.in_dll(testlib, "srs3_props")

class SRS3Exception(Exception):
    pass


class SRS3():
    def __init__(self, addr=21, timeout=2500):
        self.addr = addr
        self.timeout = timeout

        self.prop = propnode.PropertyNode(addr, _sl_srs3_props, timeout)
        self.csp = cspnode.CSPNode(addr)
